Overview
POST/auth/invitations/acceptauth

A logged-in user accepts an invitation by token.

Create a record in accept.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • tokenstring
Example
{
  "token": "string"
}
Responses
200

Accepted or verification required

  • status"accepted" | "verification_required"
  • ecosystemNameoptionalstring
Example
{
  "status": "accepted",
  "ecosystemName": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
409

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
410

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/invitations/accept" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "token": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/invitations/accept", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"token\": \"string\"\n}",
});
const data = await res.json();